LibreOffice 4.x

Asked by Phil on 2013-05-23


Don't know if you have ran into this yet.
LibreOffice 4.x is python 3.0 based on Mac OS X
Appy tosses syntax errors:

Traceback (most recent call last):
  File "", line 85, in <module>
  File "/Library/Python/2.7/site-packages/appy/pod/", line 394, in run
  File "/Library/Python/2.7/site-packages/appy/pod/", line 560, in finalize
    raise PodError(CONVERT_ERROR % output)
appy.pod.PodError: An error occurred during the conversion. File "/Library/Python/2.7/site-packages/appy/pod/", line 125
    except (OSError, IOError), ioe:
SyntaxError: invalid syntax

Works fine with LO which is python 2.6.1.

Thank you for all your work on Appy.


Question information

English Edit question
Appy Edit question
No assignee Edit question
Last query:
Last reply:
Arnaud (arnaudgeslin) said : #1

Don"t know if this could help, but there are major encoding differences between python 2.x and python 3.x. I gues Python3.x automatically converts string to unicode, this could deal with the syntax error you get.


Maybe. The problem is Python2.x syntax. I have already performed some changes in a trial to produce Python syntax being compliant with both 2.x and 3.x, but there are more syntactic differences, ie in the way to catch exceptions. I continue my investigations and will keep you infomed!

Launchpad Janitor (janitor) said : #3

This question was expired because it remained in the 'Needs information' state without activity for the last 15 days.

Phil (philip-oneill) said : #5

Hi Gaëtan,

Thank you for working on this.
I will download and test it out in our environment.

You time time working on this is greatly appreciated.


On Jun 18, 2014, at 8:37 AM, Gaëtan Delannay <email address hidden> wrote:

> Your question #229485 on Appy changed:
> Status: Expired => Solved
> Gaëtan Delannay changed the question status:
> Solved! Check duplicate at
> --
> You received this question notification because you asked the question.